Item - Update
curl --request PUT \
--url https://api.skulabs.com/item/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item_id": "<string>",
"name": "<string>",
"sku": "<string>",
"upc": "<string>",
"weight": 123,
"length": 123,
"width": 123,
"height": 123,
"fulfillment_sku": "<string>",
"notes": "<string>",
"unit": "<string>",
"cost": 123,
"wholesale": 123,
"retail": 123,
"image": "<string>",
"active": true,
"description": "<string>",
"sale": 123
}
'import requests
url = "https://api.skulabs.com/item/update"
payload = {
"item_id": "<string>",
"name": "<string>",
"sku": "<string>",
"upc": "<string>",
"weight": 123,
"length": 123,
"width": 123,
"height": 123,
"fulfillment_sku": "<string>",
"notes": "<string>",
"unit": "<string>",
"cost": 123,
"wholesale": 123,
"retail": 123,
"image": "<string>",
"active": True,
"description": "<string>",
"sale": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
item_id: '<string>',
name: '<string>',
sku: '<string>',
upc: '<string>',
weight: 123,
length: 123,
width: 123,
height: 123,
fulfillment_sku: '<string>',
notes: '<string>',
unit: '<string>',
cost: 123,
wholesale: 123,
retail: 123,
image: '<string>',
active: true,
description: '<string>',
sale: 123
})
};
fetch('https://api.skulabs.com/item/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"_id": "507f1f77bcf86cd799439011",
"sku": "<string>",
"notice": "<string>"
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Item
Item - Update
Update an existing item’s properties such as name, weight, dimensions, or cost.
PUT
/
item
/
update
Item - Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Item ID to update
Item name
SKU
UPC barcode
Weight
Weight unit
Available options:
oz, lb, g, kg Length
Width
Height
Dimensions unit
Available options:
in, cm Fulfillment SKU
Notes
Unit of measure
Cost
Wholesale price
Retail price
Image URL
Active status
Item description
Sale price
⌘I